Bug 594047 - Subpackage name change causes dependency failures
Subpackage name change causes dependency failures
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: report (Show other bugs)
6.0
All Linux
medium Severity medium
: beta
: ---
Assigned To: Gavin Romig-Koch
qe-baseos-daemons
: Regression
: 594687 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-20 08:49 EDT by Jay Turner
Modified: 2015-01-07 19:17 EST (History)
4 users (show)

See Also:
Fixed In Version: report-0.15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-24 07:24:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Turner 2010-05-20 08:49:03 EDT
Description of problem:
With the 0.14-1.el6 version of the package there is a subpackage name change which is causing unresolved dependencies when updating.  This will impact all Beta1 users attempting to update to Beta2.

plugin-RHEL -> plugin-RHEL-bugzilla

Need to add an "Obsoletes: plugin-RHEL" to the new version of the package in order to facilitate the upgrade.

Version-Release number of selected component (if applicable):
0.14-1.el6

How reproducible:
Always

Steps to Reproduce:
1. Attempt to upgrade from older report packages (say from Beta1) to the 0.14-1.el6 version.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jay Turner 2010-05-20 09:37:12 EDT
Actually, I screwed up above.  Here's the specfile diff:

--- report.spec	2010-05-19 17:51:39.000000000 -0400
+++ report.spec.new	2010-05-20 09:34:39.468269717 -0400
@@ -71,6 +71,7 @@
 
 Requires: report = %{version}-%{release}
 Requires: rpm-python
+Obsoletes: report-plugin-RHEL
 
 %description plugin-RHEL-bugzilla
 Plugin template reporter to bugzilla within RHEL
@@ -143,6 +144,7 @@
 Group:          System Environment/Libraries
 Requires: report-plugin-RHEL-bugzilla = %{version}-%{release}
 Provides: report-config-default = %{version}-%{release}
+Obsoletes: report-config-RHEL
 
 %description config-RHEL-bugzilla-redhat-com
 Config for reporter to bugzilla.redhat.com within RHEL
Comment 2 Gavin Romig-Koch 2010-05-20 16:35:52 EDT
fix pushed to fedorahosted src repo.
Comment 3 Gavin Romig-Koch 2010-05-20 16:36:32 EDT
(In reply to comment #1)
> --- report.spec 2010-05-19 17:51:39.000000000 -0400
> +++ report.spec.new 2010-05-20 09:34:39.468269717 -0400

thanks Jay.

                  -gavin...
Comment 5 Gavin Romig-Koch 2010-05-21 10:54:27 EDT
Yes, no problem.
Comment 6 Gavin Romig-Koch 2010-05-21 10:59:40 EDT
*** Bug 594687 has been marked as a duplicate of this bug. ***
Comment 8 Jay Turner 2010-05-24 07:24:25 EDT
Fix confirmed with 0.15-1.el6.  Closing out.

Note You need to log in before you can comment on or make changes to this bug.